#include "Wakeup.h"
#include "lwip/sockets.h"

int WAKEUP_Send(const MAC_t mac, const int port){
  int broadcast_sck;
 
  printf("[WAKEUP] Send to %x:%x:%x:%x:%x:%x\r\n", 
          (unsigned int)mac[0],
          (unsigned int)mac[1],
          (unsigned int)mac[2],
          (unsigned int)mac[3],
          (unsigned int)mac[4],
          (unsigned int)mac[5]);
 
  //Open socket
  broadcast_sck = socket(AF_INET, SOCK_DGRAM, 0);
  if(broadcast_sck < 0){
    printf("[WAKEUP] Can't create socket\r\n");
    return -1;
  }
  
  //Set as broadcast
//  int broadcastEnable = 1;
//  int ret = setsckopt(broadcast_sck, SOL_SOCKET, SO_BROADCAST, &broadcastEnable, sizeof(broadcastEnable));
  int ret; 
 
  //Create address
  struct sockaddr_in broadcastAddr;
  broadcastAddr.sin_family = AF_INET;
  broadcastAddr.sin_port = htons(port);
  broadcastAddr.sin_addr.s_addr = htonl(INADDR_BROADCAST);

  //Compose magic packet
  char packet[17*6]; //To hold magic packet
  for(int i=0; i < sizeof(packet); i++){
    if(i < 6) packet[i] = 0xFF;
    else packet[i] = mac[i%6];
  }

  if(sendto(broadcast_sck, packet, sizeof(packet), 0, (struct sockaddr*)&broadcastAddr, sizeof(struct sockaddr)) < 0){
    printf("[WAKEUP] Error while sending data\r\n");
    ret = -1;
  }
  else {
    printf("[WAKEUP] Magic packet sent\r\n");
    ret = 0;
  }
  close(broadcast_sck);
  return ret;
}
